# Uses of Class
org.apache.sysds.parser.DataIdentifier

Packages that use DataIdentifier
Package
Description
org.apache.sysds.hops
org.apache.sysds.lops
org.apache.sysds.parser
org.apache.sysds.runtime.controlprogram
org.apache.sysds.runtime.instructions
org.apache.sysds.runtime.lineage
org.apache.sysds.runtime.meta

## Uses of DataIdentifier in org.apache.sysds.hops

Constructors in org.apache.sysds.hops with parameters of type DataIdentifier
Modifier
Constructor
Description
``
`DataGenOp(Types.OpOpDG mthd, DataIdentifier id)`
``
`DataGenOp(Types.OpOpDG mthd, DataIdentifier id, HashMap<String,Hop> inputParameters)`
Creates a new Rand HOP.

## Uses of DataIdentifier in org.apache.sysds.lops

Methods in org.apache.sysds.lops with parameters of type DataIdentifier
Modifier and Type
Method
Description
`void`
DataGen.`init(DataIdentifier id, String baseDir, Types.ExecType et)`
Constructors in org.apache.sysds.lops with parameters of type DataIdentifier
Modifier
Constructor
Description
``
`DataGen(Types.OpOpDG op, DataIdentifier id, HashMap<String,Lop> inputParametersLops, String baseDir, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
Creates a new Rand-LOP.

## Uses of DataIdentifier in org.apache.sysds.parser

Subclasses of DataIdentifier in org.apache.sysds.parser
Modifier and Type
Class
Description
`class`
`BuiltinFunctionExpression`
`class`
`DataExpression`
`class`
`FunctionCallIdentifier`
`class`
`IndexedIdentifier`
`class`
`ParameterizedBuiltinFunctionExpression`
Methods in org.apache.sysds.parser that return DataIdentifier
Modifier and Type
Method
Description
`DataIdentifier`
OutputStatement.`getIdentifier()`
`DataIdentifier`
FunctionStatement.`getInputParam(String name)`
`DataIdentifier`
IterablePredicate.`getIterVar()`
`DataIdentifier`
AssignmentStatement.`getTarget()`
`DataIdentifier`
VariableSet.`getVariable(String name)`
Methods in org.apache.sysds.parser that return types with arguments of type DataIdentifier
Modifier and Type
Method
Description
`ArrayList<DataIdentifier>`
FunctionStatement.`getInputParams()`
`ArrayList<DataIdentifier>`
FunctionStatement.`getOutputParams()`
`ArrayList<DataIdentifier>`
StatementBlock.`getOutputsofSB()`
`ArrayList<DataIdentifier>`
AssignmentStatement.`getTargetList()`
`ArrayList<DataIdentifier>`
MultiAssignmentStatement.`getTargetList()`
`HashMap<String,DataIdentifier>`
VariableSet.`getVariables()`
Methods in org.apache.sysds.parser with parameters of type DataIdentifier
Modifier and Type
Method
Description
`void`
VariableSet.`addVariable(String name, DataIdentifier id)`
`void`
OutputStatement.`setIdentifier(DataIdentifier t)`
`void`
IterablePredicate.`setIterVar(DataIdentifier iterVar)`
`void`
AssignmentStatement.`setTarget(DataIdentifier di)`
Method parameters in org.apache.sysds.parser with type arguments of type DataIdentifier
Modifier and Type
Method
Description
`org.apache.sysds.parser.IndexPair`
IndexedIdentifier.`calculateIndexedDimensions(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> currConstVars, boolean conditional)`
`void`
FunctionStatement.`setInputParams(ArrayList<DataIdentifier> inputParams)`
`void`
FunctionStatement.`setOutputParams(ArrayList<DataIdentifier> outputParams)`
`void`
MultiAssignmentStatement.`setTargetList(List<DataIdentifier> diList)`
`void`
BinaryExpression.`validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
Validate parse tree : Process Binary Expression in an assignment statement
`void`
BooleanExpression.`validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
Validate parse tree : Process Boolean Expression
`void`
BuiltinFunctionExpression.`validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
Validate parse tree : Process BuiltinFunction Expression in an assignment statement
`void`
BuiltinFunctionExpression.`validateExpression(MultiAssignmentStatement stmt, HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
`void`
DataExpression.`validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> currConstVars, boolean conditional)`
Validate parse tree : Process Data Expression in an assignment statement
`void`
Expression.`validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> currConstVars, boolean conditional)`
`void`
Expression.`validateExpression(MultiAssignmentStatement mas, HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> currConstVars, boolean conditional)`
`void`
ExpressionList.`validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> currConstVars, boolean conditional)`
`void`
FunctionCallIdentifier.`validateExpression(DMLProgram dmlp, HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
Validate parse tree : Process ExtBuiltinFunction Expression is an assignment statement NOTE: this does not override the normal validateExpression because it needs to pass dmlp!
`void`
Identifier.`validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
`void`
IterablePredicate.`validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
`void`
ParameterizedBuiltinFunctionExpression.`validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
Validate parse tree : Process BuiltinFunction Expression in an assignment statement
`void`
ParameterizedBuiltinFunctionExpression.`validateExpression(MultiAssignmentStatement stmt, HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
`void`
RelationalExpression.`validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
Validate parse tree : Process Relational Expression
Constructors in org.apache.sysds.parser with parameters of type DataIdentifier
Modifier
Constructor
Description
``
`AssignmentStatement(org.antlr.v4.runtime.ParserRuleContext ctx, DataIdentifier di, Expression exp)`
``
`AssignmentStatement(org.antlr.v4.runtime.ParserRuleContext ctx, DataIdentifier di, Expression exp, String filename)`
``
`AssignmentStatement(DataIdentifier di, Expression exp)`
``
`AssignmentStatement(DataIdentifier di, Expression exp, ParseInfo parseInfo)`
``
`DataIdentifier(DataIdentifier passed)`
``
`IterablePredicate(org.antlr.v4.runtime.ParserRuleContext ctx, DataIdentifier iterVar, Expression fromExpr, Expression toExpr, Expression incrementExpr, HashMap<String,String> parForParamValues, String filename)`
``
`OutputStatement(org.antlr.v4.runtime.ParserRuleContext ctx, DataIdentifier t, Expression.DataOp op, String filename)`
``
`OutputStatement(DataIdentifier t, Expression.DataOp op, ParseInfo parseInfo)`
Constructor parameters in org.apache.sysds.parser with type arguments of type DataIdentifier
Modifier
Constructor
Description
``
`MultiAssignmentStatement(ArrayList<DataIdentifier> tList, Expression s)`

## Uses of DataIdentifier in org.apache.sysds.runtime.controlprogram

Methods in org.apache.sysds.runtime.controlprogram that return DataIdentifier
Modifier and Type
Method
Description
`DataIdentifier`
FunctionProgramBlock.`getInputParam(String name)`
Methods in org.apache.sysds.runtime.controlprogram that return types with arguments of type DataIdentifier
Modifier and Type
Method
Description
`ArrayList<DataIdentifier>`
FunctionProgramBlock.`getInputParams()`
`ArrayList<DataIdentifier>`
FunctionProgramBlock.`getOutputParams()`
Constructor parameters in org.apache.sysds.runtime.controlprogram with type arguments of type DataIdentifier
Modifier
Constructor
Description
``
`FunctionProgramBlock(Program prog, List<DataIdentifier> inputParams, List<DataIdentifier> outputParams)`

## Uses of DataIdentifier in org.apache.sysds.runtime.instructions

Methods in org.apache.sysds.runtime.instructions with parameters of type DataIdentifier
Modifier and Type
Method
Description
`void`
Instruction.`setLocation(DataIdentifier id)`

## Uses of DataIdentifier in org.apache.sysds.runtime.lineage

Method parameters in org.apache.sysds.runtime.lineage with type arguments of type DataIdentifier
Modifier and Type
Method
Description
`static void`
LineageEstimator.`processFunc(List<DataIdentifier> outputs, LineageItem[] liInputs, String name, ExecutionContext ec, long computetime)`
`static void`
LineageCache.`putValue(List<DataIdentifier> outputs, LineageItem[] liInputs, String name, ExecutionContext ec, long computetime)`
`static void`
LineageEstimator.`stopEstimator(List<DataIdentifier> outputs, LineageItem[] liInputs, String name)`

## Uses of DataIdentifier in org.apache.sysds.runtime.meta

Subclasses of DataIdentifier in org.apache.sysds.runtime.meta
Modifier and Type
Class
Description
`class`
`MetaDataAll`